/*
 Navicat Premium Data Transfer

 Source Server         : Feewee
 Source Server Type    : MySQL
 Source Server Version : 50728
 Source Host           : 192.168.0.8:3306
 Source Schema         : fw_hermes

 Target Server Type    : MySQL
 Target Server Version : 50728
 File Encoding         : 65001

 Date: 25/02/2021 08:59:26
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for account
-- ----------------------------
DROP TABLE IF EXISTS `account`;
CREATE TABLE `account`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `identifier_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户识别码',
  `nick_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '昵称',
  `face_url` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '头像链接',
  `user_type` int(3) NOT NULL COMMENT '用户类型;0表示小程序端用户,1表示APP端用户',
  `account_type` int(3) NULL DEFAULT NULL COMMENT '帐号类型，开发者默认无需填写，值0表示普通帐号，1表示机器人帐号',
  `user_id` bigint(20) NULL DEFAULT NULL COMMENT '用户ID',
  `status` tinyint(1) NOT NULL DEFAULT 1 COMMENT '账号状态1:可用 0:不可用,默认为启用',
  `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`, `user_type`, `create_time`) USING BTREE,
  UNIQUE INDEX `identifier`(`identifier_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 543 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_esperanto_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for business_account
-- ----------------------------
DROP TABLE IF EXISTS `business_account`;
CREATE TABLE `business_account`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `user_id` bigint(32) NOT NULL COMMENT '用户识别码',
  `business_type` int(3) NOT NULL COMMENT '账户类型',
  `business_desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_esperanto_ci NOT NULL COMMENT '用户描述',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `type`(`business_type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_esperanto_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for chat_pull_record
-- ----------------------------
DROP TABLE IF EXISTS `chat_pull_record`;
CREATE TABLE `chat_pull_record`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `pull_time` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `create_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP,
  `tx_code` int(11) NOT NULL,
  `tx_msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `day_hour`(`pull_time`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8499 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for chat_record
-- ----------------------------
DROP TABLE IF EXISTS `chat_record`;
CREATE TABLE `chat_record`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `from_account` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `to_account` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `send_time` datetime(0) NULL DEFAULT NULL,
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 27381 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for message_business_type
-- ----------------------------
DROP TABLE IF EXISTS `message_business_type`;
CREATE TABLE `message_business_type`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `type_desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `typeIndex`(`type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 33 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for sys_msg
-- ----------------------------
DROP TABLE IF EXISTS `sys_msg`;
CREATE TABLE `sys_msg`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `msg_text` varchar(4000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '内容描述',
  `msg_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '消息类型',
  `lat` decimal(10, 7) NULL DEFAULT NULL COMMENT '纬度',
  `lng` decimal(10, 7) NULL DEFAULT NULL COMMENT '经度',
  `msg_index` int(7) NULL DEFAULT NULL COMMENT '表情索引',
  `msg_data` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '自定义消息数据',
  `ext` varchar(4000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '自定义扩展信息',
  `offline_push` tinyint(1) NULL DEFAULT 0 COMMENT '是否有离线推送',
  `msg_status` int(10) NULL DEFAULT NULL COMMENT '发送状态',
  `msg_status_desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '发送状态描述',
  `to_account` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '目标账号',
  `from_account` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '发送方账号',
  `msg_life_time` int(7) NULL DEFAULT 0 COMMENT '离线消息保留时长（秒）',
  `send_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP COMMENT '发送时间',
  `receiver_type` int(1) NULL DEFAULT NULL COMMENT '消息接收者账户类型0:业务人员 1:客户',
  `message_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '消息唯一识别码',
  `retries_num` int(1) NULL DEFAULT NULL COMMENT '消息发送失败重试次数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5525 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
