package cn.fw.hermes.domain.dto;

import cn.fw.hermes.domain.enums.AccountTypeEnum;
import cn.fw.hermes.domain.enums.UserTypeEnum;
import lombok.Data;

import java.util.Date;

/**
 * @Author: Chenery
 * @Date: 2021/1/28 16:21
 */
@Data
public class AccountDto {
    /**
     * 用户识别码
     */
    private String identifierCode;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 头像URL
     */
    private String faceUrl;

    /**
     *用户类型 1：表示B端，0表示C端
     */
    private UserTypeEnum userType;

    /**
     * 账户类型 0表示普通帐号，1表示机器人帐号
     */
    private AccountTypeEnum accountType;

    /**
     * 用户ID
     */
    private long userId;

    /**
     *账户状态，默认启用
     *
     */
    private Boolean status;

    /**
     * 是否为业务人员
     */
    private Boolean isStaff;

    /**
     * 用户签名
     */
    private String userSig;


    /**
     * 签名过期时间
     */
    private Date sigExpireTime;

}
