package cn.fw.hermes.config;

import cn.fw.hermes.service.biz.BusinessAccountBizService;
import cn.fw.hermes.service.biz.MessageBusinessTypeBizService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

/**
 * @Author: Chenery
 * @Date: 2021/2/4 9:13
 */
@Component
@RequiredArgsConstructor
@Slf4j
public class LaunchConfiguration implements CommandLineRunner {
    private final MessageBusinessTypeBizService messageBusinessTypeBizService;
    private final BusinessAccountBizService businessAccountBizService;

    @Override
    public void run(String... args) {
        try {
            messageBusinessTypeBizService.cacheAllTypeToRedis();
            businessAccountBizService.cacheToRedis();
        } catch (Exception e) {
            log.error("初始化系统信息失败", e);
        }
    }
}
