package cn.fw.hermes.service.data.impl;

import cn.fw.common.exception.BusinessException;
import cn.fw.hermes.common.constant.ErrorCodeEnum;
import cn.fw.hermes.common.utils.StringUtils;
import cn.fw.hermes.dao.mapper.AccountMapper;
import cn.fw.hermes.domain.db.Account;
import cn.fw.hermes.domain.enums.UserTypeEnum;
import cn.fw.hermes.service.data.AccountService;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.apache.poi.openxml4j.opc.PackagingURIHelper;
import org.springframework.lang.NonNull;
import org.springframework.stereotype.Service;

import java.util.Optional;

import static cn.fw.common.businessvalidator.Validator.BV;

/**
 * @Author: Chenery
 * @Date: 2021/1/27 17:23
 */
@Service
@Slf4j
public class AccountServiceImpl extends ServiceImpl<AccountMapper, Account> implements AccountService {
    @Override
    public boolean isExist(String identifier) {
        return (this.count(Wrappers.<Account>lambdaQuery()
                .eq(Account::getIdentifierCode, identifier)
                .last("limit 1")) > 0);
    }

    @Override
    public Optional<Account> queryAccountByUserId(long userId,Integer userType) {
        return Optional.ofNullable(this.getOne(Wrappers.<Account>lambdaQuery()
                .eq(Account::getUserId, userId)
                .eq(Account::getUserType,userType)
                .eq(Account::getStatus,1)
                .last("limit 1")
        ));
    }

    @Override
    public Optional<Account> queryAccountById(Long id) {
        return Optional.ofNullable(this.getOne(Wrappers.<Account>lambdaQuery()
                 .eq(Account::getId,id)
        ));
    }


}
